/*
 * @Author: wrh
 * @Date: 2024-04-07 15:29:32
 * @LastEditors: wrh
 * @LastEditTime: 2024-09-02 15:04:44
 */
import request from '@/utils/request'

// 查询cmc项目内容列表
export function listProjectWorkload(query) {
  return request({
    url: '/oa/projectWorkload/list',
    method: 'get',
    params: query
  })
}

// 查询cmc项目内容详细
export function getProjectWorkload(projectId) {
  return request({
    url: '/oa/projectWorkload/' + projectId,
    method: 'get'
  })
}

// 新增cmc项目内容
export function addProjectWorkload(data) {
  return request({
    url: '/oa/projectWorkload',
    method: 'post',
    data: data
  })
}

// 修改cmc项目内容
export function updateProjectWorkload(data) {
  return request({
    url: '/oa/projectWorkload',
    method: 'put',
    data: data
  })
}

// 删除cmc项目内容
export function delProjectWorkload(projectId) {
  return request({
    url: '/oa/projectWorkload/' + projectId,
    method: 'delete'
  })
}
